E-Invoice & E-WayBills
Get Transporter Details
This API is used to get details of a transporter using the Transporter ID (TRANSIN).
URL
GET https://cloud.octagst.com/api/octa/einvoice/gettransin?gstin={value}&transin={value}
Query Parameters
| Name | Description | Type |
|---|---|---|
gstin | It specifies GSTIN of seller | Mandatory |
transin | It specifies Transporter ID (TRANSIN) whose details to be fetched | Mandatory |
Success Response
Response payload will contain the success status along with transporter information.
{
"Success": true,
"transin": "88AAACD8017H1ZX",
"tradeName": "DTDC EXPRESS LIMITED",
"legalName": "",
"address1": "188/1Next to Bakia Mahal Mettupalayam Signal",
"address2": "Vazhudavur RoadMuthirapalayam",
"stateCode": "88",
"pinCode": "605009"
}
| Field | Description |
|---|---|
transin | Transporter ID |
tradeName | Trade name of the transporter |
legalName | Legal name of the transporter (may be empty) |
address1 | First line of the transporter address |
address2 | Second line of the transporter address |
stateCode | State code of the transporter |
pinCode | PIN code of the transporter |
Failure Response
If API request fails for some reason, response payload will contain the failure status and a list of errors.
{
"Success": false,
"Errors": [
{
"Code": "ERR_CODE_1",
"Message": "ERR MESSAGE 1"
},
{
"Code": "ERR_CODE_n",
"Message": "ERR MESSAGE n"
}
]
}